using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AjanseProject
{
    public partial class frmsabtemoshtari : Form
    {
        SqlConnection con = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataSet ds = new DataSet();
        
        public frmsabtemoshtari()
        {
            InitializeComponent();
        }

        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            DialogResult dr;
            dr = MessageBox.Show("آیا مایل به خروج از قسمت مشتریان هستید ؟", "خروج", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
            if (dr == DialogResult.OK)
            {

                this.Close();
            }


        }

        private void frmsabtemoshtari_Load(object sender, EventArgs e)
        {
            con.ConnectionString = "Data Source="+ Environment.MachineName+";Initial Catalog=ajans;Integrated Security=True";
            con.Open();
            cmd.Connection = con;
            //*********************************
            ds.Clear();
            cmd.CommandText = "select * from moshtari";
            cmd.ExecuteNonQuery();
            da.SelectCommand = cmd;
            da.Fill(ds, "moshtari");
            dataGridView1.DataSource = ds;
            dataGridView1.DataMember = "moshtari";
            //**************************************

            MessageBox.Show("تعداد کد ثبت شده : " + Convert.ToString(dataGridView1.RowCount - 1), "تعداد رکورد های ثبت شده", MessageBoxButtons.OK, MessageBoxIcon.Information);
            
            textBox1.Select();
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            try
            {
                if (textBox1.Text == "" | textBox2.Text == "" | textBox4.Text == "")
                {
                    MessageBox.Show("لطفا فیلد های ستاره دار را تکمیل کنید.", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
                else
                {

                    cmd.CommandText = "insert into moshtari (mname,mfamily,mcode,mtelhome,mmobile,maddress,datesabt) values(N'" + textBox1.Text + "',N'" + textBox2.Text + "'," + Convert.ToInt32(textBox4.Text) + ",N'" + maskedTextBox1.Text + "',N'" + maskedTextBox2.Text + "',N'" + textBox7.Text + "','" + maskedTextBox3.Text + "')";
                    cmd.ExecuteNonQuery();
                    MessageBox.Show("اطلاعات با موفقیت ذخیره شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    textBox1.Text = "";
                    textBox2.Text = "";
                    textBox4.Text = "";
                    textBox7.Text = "";
                    textBox1.Text = "";
                    maskedTextBox1.Text = "";
                    maskedTextBox2.Text = "";
                    maskedTextBox3.Text = "";
                    textBox1.Select();
                }
            }
            catch
            {
                MessageBox.Show("کد اشتراک وارد شده قبلا قبت شده است", "هشدار", MessageBoxButtons.OK, MessageBoxIcon.Error);
                textBox4.Select();
            }
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            if (dataGridView1.RowCount > 2)
            {
                MessageBox.Show("شما در این قسمت فقط میتوانید یکی از رکورد ها را انتخاب کنید", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            try
            {
                if (textBox6.Text == "" & textBox8.Text == "" | textBox8.Text != "" & textBox6.Text != "")
                {
                    MessageBox.Show("لطفا حداقل یکی از فیلدهای مورد نیاز برای حذف کردن مشترک را وارد نمائید", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    textBox8.Select();
                }
                else
                {
                    DialogResult dr;
                    dr = MessageBox.Show("آیا اطلاعات مشترک را حذف می کنید؟", "هشدار", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
                    if (dr == DialogResult.OK)
                    {
                        if (textBox8.Text == "")
                        {
                            cmd.CommandText = "delete from moshtari where mcode =" + Convert.ToInt32(textBox6.Text);
                            
                            cmd.ExecuteNonQuery();
                            

                            MessageBox.Show("حذف اطلاعات مشترک با موفقیت انجام شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                            ds.Reset();
                            textBox1.Text = "";
                            textBox2.Text = "";
                            textBox4.Text = "";
                            textBox7.Text = "";
                            textBox1.Text = "";
                            maskedTextBox1.Text = "";
                            maskedTextBox2.Text = "";
                            maskedTextBox3.Text = "";
                        }
                        else
                        {
                           cmd.CommandText = "delete from moshtari where mfamily like N'%" + textBox8.Text + "%'";
                         
                            cmd.ExecuteNonQuery();
                            MessageBox.Show("حذف اطلاعات مشترک با موفقیت انجام شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                            ds.Reset();
                            textBox1.Text = "";
                            textBox2.Text = "";
                            textBox4.Text = "";
                            textBox7.Text = "";
                            textBox1.Text = "";
                            maskedTextBox1.Text = "";
                            maskedTextBox2.Text = "";
                            maskedTextBox3.Text = "";
                        }
                    }
                }
            }
            catch
            {
                MessageBox.Show("مشکل در برقراری اتصال با پایگاه داده", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {

                if (textBox8.Text == "" & textBox6.Text == "" | textBox8.Text != "" & textBox6.Text != "")
                {
                   
                    ds.Clear();
                    cmd.CommandText = "select * from moshtari";
                    cmd.ExecuteNonQuery();
                    da.SelectCommand = cmd;
                    da.Fill(ds, "moshtari");
                    dataGridView1.DataSource = ds;
                    dataGridView1.DataMember = "moshtari";
                    dataGridView1.Columns["mname"].HeaderText = "نام مشتری";
                    dataGridView1.Columns["mfamily"].HeaderText = "نام خانوادگی";
                    dataGridView1.Columns["mcode"].HeaderText = "کد مشتری";
                    dataGridView1.Columns["mtelhome"].HeaderText = "تلفن منزل";
                    dataGridView1.Columns["mmobile"].HeaderText = "موبایل";
                    dataGridView1.Columns["maddress"].HeaderText = "آدرس";
                    dataGridView1.Columns["datesabt"].HeaderText = "تاریخ ثبت";
                    dataGridView1.Columns["deleted"].HeaderText = "انتخاب";

                    }
                
                else
                {
                    if (textBox8.Text == "")
                    {
                        ds.Clear();
                        cmd.CommandText = "select * from moshtari where mcode =" + Convert.ToInt32(textBox6.Text);
                        cmd.ExecuteNonQuery();
                        da.SelectCommand = cmd;
                        da.Fill(ds, "moshtari");
                        dataGridView1.DataSource = ds;
                        dataGridView1.DataMember = "moshtari";
                        dataGridView1.Columns["mname"].HeaderText = "نام مشتری";
                        dataGridView1.Columns["mfamily"].HeaderText = "نام خانوادگی";
                        dataGridView1.Columns["mcode"].HeaderText = "کد مشتری";
                        dataGridView1.Columns["mtelhome"].HeaderText = "تلفن منزل";
                        dataGridView1.Columns["mmobile"].HeaderText = "موبایل";
                        dataGridView1.Columns["maddress"].HeaderText = "آدرس";
                        dataGridView1.Columns["datesabt"].HeaderText = "تاریخ ثبت";
                        dataGridView1.Columns["deleted"].HeaderText = "انتخاب";

                    }
                    else
                    {
                        ds.Clear();
                        cmd.CommandText = "select * from moshtari where mfamily like N'%" + textBox8.Text + "%'";
                        cmd.ExecuteNonQuery();
                        da.SelectCommand = cmd;
                        da.Fill(ds, "moshtari");
                        dataGridView1.DataSource = ds;
                        dataGridView1.DataMember = "moshtari";
                        dataGridView1.Columns["mname"].HeaderText = "نام مشتری";
                        dataGridView1.Columns["mfamily"].HeaderText = "نام خانوادگی";
                        dataGridView1.Columns["mcode"].HeaderText = "کد مشتری";
                        dataGridView1.Columns["mtelhome"].HeaderText = "تلفن منزل";
                        dataGridView1.Columns["mmobile"].HeaderText = "موبایل";
                        dataGridView1.Columns["maddress"].HeaderText = "آدرس";
                        dataGridView1.Columns["datesabt"].HeaderText = "تاریخ ثبت";
                        dataGridView1.Columns["deleted"].HeaderText = "انتخاب";

                    }
              
            }
        }

        private void toolStripButton6_Click(object sender, EventArgs e)
        {

        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            if (dataGridView1.RowCount > 2)
            {
                MessageBox.Show("شما در این قسمت فقط میتوانید یکی از رکورد ها را انتخاب کنید", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            try
            {
                if (textBox8.Text == "")
                {
                    cmd.CommandText = "update moshtari set mname= N'" + textBox1.Text + " ',mfamily=N'" + textBox2.Text + " ',mcode=" + Convert.ToInt32(textBox4.Text) + ",mtelhome = N'" + maskedTextBox1.Text + "',mmobile= N'" + maskedTextBox2.Text + "',maddress= N'" + textBox7.Text + "'" + " where mcode=" + Convert.ToInt32(textBox6.Text);
                    cmd.ExecuteNonQuery();
                    MessageBox.Show("تغییرات با موفقیت ذخیره شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
                else
                {
                    cmd.CommandText = "update moshtari set mname= N'" + textBox1.Text + " ',mfamily=N'" + textBox2.Text + " ',mcode=" + Convert.ToInt32(textBox4.Text) + ",mtelhome = N'" + maskedTextBox1.Text + "',mmobile= N'" + maskedTextBox2.Text + "',maddress= N'" + textBox7.Text + "'" + " where mfamily like '%" + textBox8.Text + "%'";
                    cmd.ExecuteNonQuery();
                    MessageBox.Show("تغییرات با موفقیت ذخیره شد", "نتیجه", MessageBoxButtons.OK, MessageBoxIcon.Information);
                }
            }
            catch
            {
                MessageBox.Show("اشکال در  ذخیره سازی اطلاعات در پایگاه داده", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }

        }

        private void dataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            if (dataGridView1.RowCount > 2)
            {
                MessageBox.Show("شما در این قسمت فقط میتوانید یکی از رکورد ها راانتخاب کنید", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
                
            }
            
            try 
            {
            textBox1.Text  = ds.Tables["moshtari"].Rows[e.RowIndex]["mname"].ToString();
            textBox2.Text = ds.Tables["moshtari"].Rows[e.RowIndex]["mfamily"].ToString();
            textBox4.Text = ds.Tables["moshtari"].Rows[e.RowIndex]["mcode"].ToString();
            textBox7.Text = ds.Tables["moshtari"].Rows[e.RowIndex]["maddress"].ToString();
            maskedTextBox2.Text  = ds.Tables["moshtari"].Rows[e.RowIndex]["mmobile"].ToString();
            maskedTextBox1.Text = ds.Tables["moshtari"].Rows[e.RowIndex]["mtelhome"].ToString();
            maskedTextBox3.Text = ds.Tables["moshtari"].Rows[e.RowIndex]["datesabt"].ToString();
            textBox3.Text = ds.Tables["moshtari"].Rows[e.RowIndex]["deleted"].ToString();
                        }
            catch
            {
                MessageBox.Show("هیچ رکوردی برای نمایش وجود ندارد", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);

            }

        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void groupBox2_Enter(object sender, EventArgs e)
        {

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
        }

        private void textBox6_Click(object sender, EventArgs e)
        {

        }

        private void textBox6_DoubleClick(object sender, EventArgs e)
        {
            textBox6.Text = "";
            textBox8.Text = "";
            textBox6.Select();

        }

        private void textBox8_DoubleClick(object sender, EventArgs e)
        {
            textBox8.Text = "";
            textBox6.Text = "";
            textBox8.Select();

        }

        private void textBox6_Leave(object sender, EventArgs e)
        {
            

        }

        private void textBox8_Leave(object sender, EventArgs e)
        {
            
            

        }

        private void button1_Click(object sender, EventArgs e)
        {
           
        }
    }
}
